Build #8 for ministg-0.3

[all reports]

Package ministg-0.3
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-25 07:02:31.393501 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, containers-0.5.7.1, directory-1.2.6.2, filepath-1.4.1.0, monads-tf-0.1.0.3, parsec-3.1.11, pretty-1.1.3.3, transformers-0.5.2.0, xhtml-3000.2.1
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring monads-tf-0.1.0.3...
Configuring mtl-2.2.1...
Building monads-tf-0.1.0.3...
Building mtl-2.2.1...
Configuring text-1.2.2.1...
Installed monads-tf-0.1.0.3
Installed mtl-2.2.1
Building text-1.2.2.1...
Installed text-1.2.2.1
Configuring parsec-3.1.11...
Building parsec-3.1.11...
Installed parsec-3.1.11
Configuring ministg-0.3...
Building ministg-0.3...
Failed to install ministg-0.3
Build log ( /home/builder/.cabal/logs/ministg-0.3.log ):
cabal: Entering directory '/tmp/cabal-tmp-19890/ministg-0.3'
Configuring ministg-0.3...
Building ministg-0.3...
Preprocessing executable 'ministg' for ministg-0.3...
[ 1 of 14] Compiling Ministg.Utils    ( src/Ministg/Utils.hs, dist/build/ministg/ministg-tmp/Ministg/Utils.o )

src/Ministg/Utils.hs:19:6: error:
    Variable not in scope:
      catch
        :: IO (Either String String)
           -> (a0 -> m0 (Either String b0)) -> IO (Either String String)
cabal: Leaving directory '/tmp/cabal-tmp-19890/ministg-0.3'
cabal: Error: some packages failed to install:
ministg-0.3 failed during the building phase. The exception was:
ExitFailure 1